Index: LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5118)
@@ -283,262 +283,262 @@
     USE dimphy, ONLY: klon
     USE lmdz_abort_physic, ONLY: abort_physic
+    USE lmdz_iniprint, ONLY: lunout, prt_level
 
     IMPLICIT NONE
 
-!=======================================================================
-
-!   Authors: Patricia Cadule and Laurent Fairhead  
-!   -------
-
-!  Purpose and description:
-!  -----------------------
-
-! Infofields
-! this routine enables to define the field exchanges in both directions between
-! the atmospheric circulation model (LMDZ) and ORCHIDEE. In the future this
-! routing might apply to other models (e.g., NEMO, INCA, ...).
-! Therefore, currently with this routine, it is possible to define the coupling
-! fields only between LMDZ and ORCHIDEE.
-! The coupling_fields.def file enables to define the name of the exchanged
-! fields at the coupling interface.
-! field_in_names : the set of names of the exchanged fields in input to ORCHIDEE
-! (LMDZ to ORCHIDEE)
-! field_out_names : the set of names of the exchanged fields in output of
-! ORCHIDEE (ORCHIDEE to LMDZ)
-! n : the number of exchanged fields at th coupling interface
-! nb_fields_in : number of inputs fields to ORCHIDEE (LMDZ to ORCHIDEE)
-! nb_fields_out : number of ouput fields of ORCHIDEE (ORCHIDEE to LMDZ)
-
-! The syntax for coupling_fields.def is as follows:
-! IMPORTANT: each column entry must be separated from the previous one by 3
-! spaces and only that
-! field name         coupling          model 1         model 2         long_name
-!                    direction
-!   10char  -3spaces-  3char  -3spaces- 4char -3spaces- 4char -3spaces-  30char 
-
-! n
-! FIELD1 IN LMDZ ORC
-! ....
-! FIELD(j) IN LMDZ ORC
-! FIELD(j+1) OUT LMDZ ORC
-! ...
-! FIELDn OUT LMDZ ORC   
-
-!=======================================================================
-!   ... 22/12/2017 ....
-!-----------------------------------------------------------------------
-! Declarations
-
-  INCLUDE "clesphys.h"
-  INCLUDE "dimensions.h"
-  INCLUDE "iniprint.h"
-
-! Local variables
-
-  INTEGER :: iq,  ierr, stat, error
-
-  CHARACTER(LEN=20), ALLOCATABLE, DIMENSION(:), SAVE  :: cfname_root
-  CHARACTER(LEN=120), ALLOCATABLE, DIMENSION(:), SAVE :: cftext_root
-  CHARACTER(LEN=15), ALLOCATABLE, DIMENSION(:), SAVE  :: cfunits_root
-
-  CHARACTER(len=3), ALLOCATABLE, DIMENSION(:) :: cfintent_root
-  CHARACTER(len=5), ALLOCATABLE, DIMENSION(:) :: cfmod1_root
-  CHARACTER(len=5), ALLOCATABLE, DIMENSION(:) :: cfmod2_root
-
-  LOGICAL, ALLOCATABLE, DIMENSION(:), SAVE :: mask_in_root
-  LOGICAL, ALLOCATABLE, DIMENSION(:), SAVE :: mask_out_root
-
-  CHARACTER(len=*),parameter :: modname="infocfields"
-
-  CHARACTER(len=10),SAVE :: planet_type="earth"
-
-!-----------------------------------------------------------------------
-
-nbcf=0
-nbcf_in=0
-nbcf_out=0
-
-IF (planet_type=='earth') THEN
-
-    IF (is_mpi_root .AND. is_omp_root) THEN
-
-       IF (level_coupling_esm>0) THEN
-
-          OPEN(200,file='coupling_fields.def',form='formatted',status='old', iostat=ierr)
+    !=======================================================================
+
+    !   Authors: Patricia Cadule and Laurent Fairhead
+    !   -------
+
+    !  Purpose and description:
+    !  -----------------------
+
+    ! Infofields
+    ! this routine enables to define the field exchanges in both directions between
+    ! the atmospheric circulation model (LMDZ) and ORCHIDEE. In the future this
+    ! routing might apply to other models (e.g., NEMO, INCA, ...).
+    ! Therefore, currently with this routine, it is possible to define the coupling
+    ! fields only between LMDZ and ORCHIDEE.
+    ! The coupling_fields.def file enables to define the name of the exchanged
+    ! fields at the coupling interface.
+    ! field_in_names : the set of names of the exchanged fields in input to ORCHIDEE
+    ! (LMDZ to ORCHIDEE)
+    ! field_out_names : the set of names of the exchanged fields in output of
+    ! ORCHIDEE (ORCHIDEE to LMDZ)
+    ! n : the number of exchanged fields at th coupling interface
+    ! nb_fields_in : number of inputs fields to ORCHIDEE (LMDZ to ORCHIDEE)
+    ! nb_fields_out : number of ouput fields of ORCHIDEE (ORCHIDEE to LMDZ)
+
+    ! The syntax for coupling_fields.def is as follows:
+    ! IMPORTANT: each column entry must be separated from the previous one by 3
+    ! spaces and only that
+    ! field name         coupling          model 1         model 2         long_name
+    !                    direction
+    !   10char  -3spaces-  3char  -3spaces- 4char -3spaces- 4char -3spaces-  30char
+
+    ! n
+    ! FIELD1 IN LMDZ ORC
+    ! ....
+    ! FIELD(j) IN LMDZ ORC
+    ! FIELD(j+1) OUT LMDZ ORC
+    ! ...
+    ! FIELDn OUT LMDZ ORC
+
+    !=======================================================================
+    !   ... 22/12/2017 ....
+    !-----------------------------------------------------------------------
+    ! Declarations
+
+    INCLUDE "clesphys.h"
+    INCLUDE "dimensions.h"
+
+    ! Local variables
+
+    INTEGER :: iq, ierr, stat, error
+
+    CHARACTER(LEN = 20), ALLOCATABLE, DIMENSION(:), SAVE :: cfname_root
+    CHARACTER(LEN = 120), ALLOCATABLE, DIMENSION(:), SAVE :: cftext_root
+    CHARACTER(LEN = 15), ALLOCATABLE, DIMENSION(:), SAVE :: cfunits_root
+
+    CHARACTER(len = 3), ALLOCATABLE, DIMENSION(:) :: cfintent_root
+    CHARACTER(len = 5), ALLOCATABLE, DIMENSION(:) :: cfmod1_root
+    CHARACTER(len = 5), ALLOCATABLE, DIMENSION(:) :: cfmod2_root
+
+    LOGICAL, ALLOCATABLE, DIMENSION(:), SAVE :: mask_in_root
+    LOGICAL, ALLOCATABLE, DIMENSION(:), SAVE :: mask_out_root
+
+    CHARACTER(len = *), parameter :: modname = "infocfields"
+
+    CHARACTER(len = 10), SAVE :: planet_type = "earth"
+
+    !-----------------------------------------------------------------------
+
+    nbcf = 0
+    nbcf_in = 0
+    nbcf_out = 0
+
+    IF (planet_type=='earth') THEN
+
+      IF (is_mpi_root .AND. is_omp_root) THEN
+
+        IF (level_coupling_esm>0) THEN
+
+          OPEN(200, file = 'coupling_fields.def', form = 'formatted', status = 'old', iostat = ierr)
 
           IF (ierr==0) THEN
 
-             WRITE(lunout,*) trim(modname),': Open coupling_fields.def : ok'
-             READ(200,*) nbcf
-             WRITE(lunout,*) 'infocfields_mod.F90 --- nbcf=',nbcf
-             ALLOCATE(cfname_root(nbcf))
-             ALLOCATE(cfintent_root(nbcf))
-             ALLOCATE(cfmod1_root(nbcf))
-             ALLOCATE(cfmod2_root(nbcf))
-             ALLOCATE(cftext_root(nbcf))
-             ALLOCATE(cfunits_root(nbcf))
-             ALLOCATE(mask_in_root(nbcf))
-             ALLOCATE(mask_out_root(nbcf))
-
-             nbcf_in=0
-             nbcf_out=0
-
-             DO iq=1,nbcf
-                WRITE(lunout,*) 'infofields : field=',iq
-                READ(200,'(A15,3X,A3,3X,A5,3X,A5,3X,A120,3X,A15)',IOSTAT=ierr) &
-                   cfname_root(iq),cfintent_root(iq),cfmod1_root(iq),cfmod2_root(iq),cftext_root(iq),cfunits_root(iq)
-                cfname_root(iq)=TRIM(cfname_root(iq))
-                cfintent_root(iq)=TRIM(cfintent_root(iq))
-                cfmod1_root(iq)=TRIM(cfmod1_root(iq))
-                cfmod2_root(iq)=TRIM(cfmod2_root(iq))
-                cftext_root(iq)=TRIM(cftext_root(iq))
-                cfunits_root(iq)=TRIM(cfunits_root(iq))
-                WRITE(lunout,*) 'coupling field: ',cfname_root(iq), &  
-                               ', number: ',iq,', INTENT: ',cfintent_root(iq)
-                WRITE(lunout,*) 'coupling field: ',cfname_root(iq), & 
-                               ', number: ',iq,', model 1 (ref): ',cfmod1_root(iq),', model 2: ',cfmod2_root(iq)
-                WRITE(lunout,*) 'coupling field: ',cfname_root(iq), & 
-                               ', number: ',iq,', long name: ',cftext_root(iq),', units ',cfunits_root(iq)
-                IF (nbcf_in+nbcf_out<nbcf) THEN
-                  IF (cfintent_root(iq)/='OUT') THEN
-                    nbcf_in=nbcf_in+1
-                    mask_in_root(iq)=.TRUE.
-                    mask_out_root(iq)=.FALSE.
-                  ELSE IF (cfintent_root(iq)=='OUT') THEN
-                    nbcf_out=nbcf_out+1
-                    mask_in_root(iq)=.FALSE.
-                    mask_out_root(iq)=.TRUE.
-                  ENDIF
-                ELSE
-                  WRITE(lunout,*) 'abort_gcm --- nbcf    : ',nbcf
-                  WRITE(lunout,*) 'abort_gcm --- nbcf_in : ',nbcf_in
-                  WRITE(lunout,*) 'abort_gcm --- nbcf_out: ',nbcf_out
-                  CALL abort_physic('infocfields_init','Problem in the definition of the coupling fields',1)
-               ENDIF
-             ENDDO !DO iq=1,nbcf
+            WRITE(lunout, *) trim(modname), ': Open coupling_fields.def : ok'
+            READ(200, *) nbcf
+            WRITE(lunout, *) 'infocfields_mod.F90 --- nbcf=', nbcf
+            ALLOCATE(cfname_root(nbcf))
+            ALLOCATE(cfintent_root(nbcf))
+            ALLOCATE(cfmod1_root(nbcf))
+            ALLOCATE(cfmod2_root(nbcf))
+            ALLOCATE(cftext_root(nbcf))
+            ALLOCATE(cfunits_root(nbcf))
+            ALLOCATE(mask_in_root(nbcf))
+            ALLOCATE(mask_out_root(nbcf))
+
+            nbcf_in = 0
+            nbcf_out = 0
+
+            DO iq = 1, nbcf
+              WRITE(lunout, *) 'infofields : field=', iq
+              READ(200, '(A15,3X,A3,3X,A5,3X,A5,3X,A120,3X,A15)', IOSTAT = ierr) &
+                      cfname_root(iq), cfintent_root(iq), cfmod1_root(iq), cfmod2_root(iq), cftext_root(iq), cfunits_root(iq)
+              cfname_root(iq) = TRIM(cfname_root(iq))
+              cfintent_root(iq) = TRIM(cfintent_root(iq))
+              cfmod1_root(iq) = TRIM(cfmod1_root(iq))
+              cfmod2_root(iq) = TRIM(cfmod2_root(iq))
+              cftext_root(iq) = TRIM(cftext_root(iq))
+              cfunits_root(iq) = TRIM(cfunits_root(iq))
+              WRITE(lunout, *) 'coupling field: ', cfname_root(iq), &
+                      ', number: ', iq, ', INTENT: ', cfintent_root(iq)
+              WRITE(lunout, *) 'coupling field: ', cfname_root(iq), &
+                      ', number: ', iq, ', model 1 (ref): ', cfmod1_root(iq), ', model 2: ', cfmod2_root(iq)
+              WRITE(lunout, *) 'coupling field: ', cfname_root(iq), &
+                      ', number: ', iq, ', long name: ', cftext_root(iq), ', units ', cfunits_root(iq)
+              IF (nbcf_in + nbcf_out<nbcf) THEN
+                IF (cfintent_root(iq)/='OUT') THEN
+                  nbcf_in = nbcf_in + 1
+                  mask_in_root(iq) = .TRUE.
+                  mask_out_root(iq) = .FALSE.
+                ELSE IF (cfintent_root(iq)=='OUT') THEN
+                  nbcf_out = nbcf_out + 1
+                  mask_in_root(iq) = .FALSE.
+                  mask_out_root(iq) = .TRUE.
+                ENDIF
+              ELSE
+                WRITE(lunout, *) 'abort_gcm --- nbcf    : ', nbcf
+                WRITE(lunout, *) 'abort_gcm --- nbcf_in : ', nbcf_in
+                WRITE(lunout, *) 'abort_gcm --- nbcf_out: ', nbcf_out
+                CALL abort_physic('infocfields_init', 'Problem in the definition of the coupling fields', 1)
+              ENDIF
+            ENDDO !DO iq=1,nbcf
           ELSE
-             WRITE(lunout,*) trim(modname),': infocfields_mod.F90 --- Problem in opening coupling_fields.def'
-             WRITE(lunout,*) trim(modname),': infocfields_mod.F90 --- WARNING using defaut values'
+            WRITE(lunout, *) trim(modname), ': infocfields_mod.F90 --- Problem in opening coupling_fields.def'
+            WRITE(lunout, *) trim(modname), ': infocfields_mod.F90 --- WARNING using defaut values'
           ENDIF ! ierr
           CLOSE(200)
 
-       ENDIF ! level_coupling_esm
-
-    ENDIF !   (is_mpi_root .AND. is_omp_root)
-!$OMP BARRIER
-
-    CALL bcast(nbcf)
-    CALL bcast(nbcf_in)
-    CALL bcast(nbcf_out)
-
-    WRITE(lunout,*) 'infocfields_mod.F90 --- nbcf    =',nbcf
-    WRITE(lunout,*) 'infocfields_mod.F90 --- nbcf_in =',nbcf_in
-    WRITE(lunout,*) 'infocfields_mod.F90 --- nbcf_out=',nbcf_out
-
-    ALLOCATE(cfname(nbcf))
-    ALLOCATE(cfname_in(nbcf_in))
-    ALLOCATE(cftext_in(nbcf_in))
-    ALLOCATE(cfname_out(nbcf_out))
-    ALLOCATE(cftext_out(nbcf_out))
-    ALLOCATE(cfmod1(nbcf))
-    ALLOCATE(cfmod2(nbcf))
-    ALLOCATE(cfunits_in(nbcf_in))
-    ALLOCATE(cfunits_out(nbcf_out))
-       
-    IF (is_mpi_root .AND. is_omp_root) THEN
-
-        IF (nbcf>0)     cfname=cfname_root
-        IF (nbcf_in>0)  cfname_in=PACK(cfname_root,mask_in_root)
-        IF (nbcf_out>0) cfname_out=PACK(cfname_root,mask_out_root)
-        IF (nbcf_in>0)  cftext_in=PACK(cftext_root,mask_in_root)
-        IF (nbcf_out>0) cftext_out=PACK(cftext_root,mask_out_root)
-        IF (nbcf>0)     cfmod1=cfmod1_root
-        IF (nbcf>0)     cfmod2=cfmod2_root
-        IF (nbcf_in>0)  cfunits_in=PACK(cfunits_root,mask_in_root)
-        IF (nbcf_out>0) cfunits_out=PACK(cfunits_root,mask_out_root)
-
-        nbcf_in_orc=0
-        nbcf_in_nemo=0
-        nbcf_in_inca=0
-        nbcf_in_ant=0
-
-        DO iq=1,nbcf
-            IF (cfmod1(iq) == "ORC")  nbcf_in_orc  = nbcf_in_orc  + 1  
-            IF (cfmod1(iq) == "NEMO") nbcf_in_nemo = nbcf_in_nemo + 1  
-            IF (cfmod1(iq) == "INCA") nbcf_in_inca = nbcf_in_inca + 1
-            IF (cfmod1(iq) == "ALL")  nbcf_in_orc  = nbcf_in_orc  + 1  ! ALL = ORC/NEMO/INCA
-            IF (cfmod1(iq) == "ALL")  nbcf_in_nemo = nbcf_in_nemo + 1  ! ALL = ORC/NEMO/INCA 
-            IF (cfmod1(iq) == "ALL")  nbcf_in_inca = nbcf_in_inca + 1  ! ALL = ORC/NEMO/INCA 
-            IF (cfmod1(iq) == "ANT")  nbcf_in_ant  = nbcf_in_ant  + 1  
+        ENDIF ! level_coupling_esm
+
+      ENDIF !   (is_mpi_root .AND. is_omp_root)
+      !$OMP BARRIER
+
+      CALL bcast(nbcf)
+      CALL bcast(nbcf_in)
+      CALL bcast(nbcf_out)
+
+      WRITE(lunout, *) 'infocfields_mod.F90 --- nbcf    =', nbcf
+      WRITE(lunout, *) 'infocfields_mod.F90 --- nbcf_in =', nbcf_in
+      WRITE(lunout, *) 'infocfields_mod.F90 --- nbcf_out=', nbcf_out
+
+      ALLOCATE(cfname(nbcf))
+      ALLOCATE(cfname_in(nbcf_in))
+      ALLOCATE(cftext_in(nbcf_in))
+      ALLOCATE(cfname_out(nbcf_out))
+      ALLOCATE(cftext_out(nbcf_out))
+      ALLOCATE(cfmod1(nbcf))
+      ALLOCATE(cfmod2(nbcf))
+      ALLOCATE(cfunits_in(nbcf_in))
+      ALLOCATE(cfunits_out(nbcf_out))
+
+      IF (is_mpi_root .AND. is_omp_root) THEN
+
+        IF (nbcf>0)     cfname = cfname_root
+        IF (nbcf_in>0)  cfname_in = PACK(cfname_root, mask_in_root)
+        IF (nbcf_out>0) cfname_out = PACK(cfname_root, mask_out_root)
+        IF (nbcf_in>0)  cftext_in = PACK(cftext_root, mask_in_root)
+        IF (nbcf_out>0) cftext_out = PACK(cftext_root, mask_out_root)
+        IF (nbcf>0)     cfmod1 = cfmod1_root
+        IF (nbcf>0)     cfmod2 = cfmod2_root
+        IF (nbcf_in>0)  cfunits_in = PACK(cfunits_root, mask_in_root)
+        IF (nbcf_out>0) cfunits_out = PACK(cfunits_root, mask_out_root)
+
+        nbcf_in_orc = 0
+        nbcf_in_nemo = 0
+        nbcf_in_inca = 0
+        nbcf_in_ant = 0
+
+        DO iq = 1, nbcf
+          IF (cfmod1(iq) == "ORC")  nbcf_in_orc = nbcf_in_orc + 1
+          IF (cfmod1(iq) == "NEMO") nbcf_in_nemo = nbcf_in_nemo + 1
+          IF (cfmod1(iq) == "INCA") nbcf_in_inca = nbcf_in_inca + 1
+          IF (cfmod1(iq) == "ALL")  nbcf_in_orc = nbcf_in_orc + 1  ! ALL = ORC/NEMO/INCA
+          IF (cfmod1(iq) == "ALL")  nbcf_in_nemo = nbcf_in_nemo + 1  ! ALL = ORC/NEMO/INCA
+          IF (cfmod1(iq) == "ALL")  nbcf_in_inca = nbcf_in_inca + 1  ! ALL = ORC/NEMO/INCA
+          IF (cfmod1(iq) == "ANT")  nbcf_in_ant = nbcf_in_ant + 1
         ENDDO
 
-    ENDIF !   (is_mpi_root .AND. is_omp_root)
-!$OMP BARRIER
-
-    CALL bcast(nbcf_in_orc)
-    CALL bcast(nbcf_in_nemo)
-    CALL bcast(nbcf_in_inca)
-    CALL bcast(nbcf_in_ant)
-
-    WRITE(lunout,*) 'nbcf_in_orc  =',nbcf_in_orc
-    WRITE(lunout,*) 'nbcf_in_nemo =',nbcf_in_nemo
-    WRITE(lunout,*) 'nbcf_in_inca =',nbcf_in_inca
-    WRITE(lunout,*) 'nbcf_in_ant  =',nbcf_in_ant
-
-    IF (nbcf_in>0) THEN
-        DO iq=1,nbcf_in
+      ENDIF !   (is_mpi_root .AND. is_omp_root)
+      !$OMP BARRIER
+
+      CALL bcast(nbcf_in_orc)
+      CALL bcast(nbcf_in_nemo)
+      CALL bcast(nbcf_in_inca)
+      CALL bcast(nbcf_in_ant)
+
+      WRITE(lunout, *) 'nbcf_in_orc  =', nbcf_in_orc
+      WRITE(lunout, *) 'nbcf_in_nemo =', nbcf_in_nemo
+      WRITE(lunout, *) 'nbcf_in_inca =', nbcf_in_inca
+      WRITE(lunout, *) 'nbcf_in_ant  =', nbcf_in_ant
+
+      IF (nbcf_in>0) THEN
+        DO iq = 1, nbcf_in
           CALL bcast(cfname_in(iq))
           CALL bcast(cftext_in(iq))
           CALL bcast(cfunits_in(iq))
         ENDDO
-    ENDIF
-
-    IF (nbcf_out>0) THEN
-        DO iq=1,nbcf_out
+      ENDIF
+
+      IF (nbcf_out>0) THEN
+        DO iq = 1, nbcf_out
           CALL bcast(cfname_out(iq))
           CALL bcast(cftext_out(iq))
           CALL bcast(cfunits_out(iq))
         ENDDO
-    ENDIF
-
-    IF (nbcf>0) THEN
-        DO iq=1,nbcf
+      ENDIF
+
+      IF (nbcf>0) THEN
+        DO iq = 1, nbcf
           CALL bcast(cfmod1(iq))
           CALL bcast(cfmod2(iq))
         ENDDO
-    ENDIF
-
-    IF (nbcf_in>0)  WRITE(lunout,*)'infocfields_mod --- cfname_in: ',cfname_in
-    IF (nbcf_out>0) WRITE(lunout,*)'infocfields_mod --- cfname_out: ',cfname_out
-
-    IF (nbcf_in>0)  WRITE(lunout,*)'infocfields_mod --- cftext_in: ',cftext_in
-    IF (nbcf_out>0) WRITE(lunout,*)'infocfields_mod --- cftext_out: ',cftext_out
-
-    IF (nbcf>0) WRITE(lunout,*)'infocfields_mod --- cfmod1: ',cfmod1
-    IF (nbcf>0) WRITE(lunout,*)'infocfields_mod --- cfmod2: ',cfmod2
-
-    IF (nbcf_in>0)  WRITE(lunout,*)'infocfunits_mod --- cfunits_in: ',cfunits_in
-    IF (nbcf_out>0) WRITE(lunout,*)'infocfunits_mod --- cfunits_out: ',cfunits_out
-
-    IF (nbcf_in>0)  WRITE(*,*)'infocfields_init --- number of fields in to LMDZ: ',nbcf_in
-    IF (nbcf_out>0) WRITE(*,*)'infocfields_init --- number of fields out of LMDZ: ',nbcf_out
-
- ELSE
- ! Default values for other planets
-    nbcf=0 
-    nbcf_in=0
-    nbcf_out=0
- ENDIF ! planet_type
-
- ALLOCATE(fields_in(klon,nbcf_in),stat=error)
- IF (error /= 0)  CALL abort_physic(modname,'Pb in allocation fields_in',1)
- ALLOCATE(yfields_in(klon,nbcf_in),stat=error)
- IF (error /= 0)  CALL abort_physic(modname,'Pb in allocation yfields_in',1)
- ALLOCATE(fields_out(klon,nbcf_out),stat=error)
- IF (error /= 0)  CALL abort_physic(modname,'Pb in allocation fields_out',1)
- ALLOCATE(yfields_out(klon,nbcf_out),stat=error)
- IF (error /= 0)  CALL abort_physic(modname,'Pb in allocation yfields_out',1)
-
-END SUBROUTINE infocfields_init
+      ENDIF
+
+      IF (nbcf_in>0)  WRITE(lunout, *)'infocfields_mod --- cfname_in: ', cfname_in
+      IF (nbcf_out>0) WRITE(lunout, *)'infocfields_mod --- cfname_out: ', cfname_out
+
+      IF (nbcf_in>0)  WRITE(lunout, *)'infocfields_mod --- cftext_in: ', cftext_in
+      IF (nbcf_out>0) WRITE(lunout, *)'infocfields_mod --- cftext_out: ', cftext_out
+
+      IF (nbcf>0) WRITE(lunout, *)'infocfields_mod --- cfmod1: ', cfmod1
+      IF (nbcf>0) WRITE(lunout, *)'infocfields_mod --- cfmod2: ', cfmod2
+
+      IF (nbcf_in>0)  WRITE(lunout, *)'infocfunits_mod --- cfunits_in: ', cfunits_in
+      IF (nbcf_out>0) WRITE(lunout, *)'infocfunits_mod --- cfunits_out: ', cfunits_out
+
+      IF (nbcf_in>0)  WRITE(*, *)'infocfields_init --- number of fields in to LMDZ: ', nbcf_in
+      IF (nbcf_out>0) WRITE(*, *)'infocfields_init --- number of fields out of LMDZ: ', nbcf_out
+
+    ELSE
+      ! Default values for other planets
+      nbcf = 0
+      nbcf_in = 0
+      nbcf_out = 0
+    ENDIF ! planet_type
+
+    ALLOCATE(fields_in(klon, nbcf_in), stat = error)
+    IF (error /= 0)  CALL abort_physic(modname, 'Pb in allocation fields_in', 1)
+    ALLOCATE(yfields_in(klon, nbcf_in), stat = error)
+    IF (error /= 0)  CALL abort_physic(modname, 'Pb in allocation yfields_in', 1)
+    ALLOCATE(fields_out(klon, nbcf_out), stat = error)
+    IF (error /= 0)  CALL abort_physic(modname, 'Pb in allocation fields_out', 1)
+    ALLOCATE(yfields_out(klon, nbcf_out), stat = error)
+    IF (error /= 0)  CALL abort_physic(modname, 'Pb in allocation yfields_out', 1)
+
+  END SUBROUTINE infocfields_init
 
 END MODULE carbon_cycle_mod
